Sign in with
Sign up | Sign in
Your question

Choppy framerates and catalyst control center wont open

Tags:
  • Graphics Cards
  • Catalyst
  • Graphics
Last response: in Graphics & Displays
Share
September 1, 2006 12:29:09 AM

I just upgraded my old 9800 pro to the x1800xt 256mb card. I can run games much better but in fear, even on low settings, i get really choppy framerates, same with quake 4 but not as bad.

Also, when I updated to the newest catalyst drivers, I can't open up the control center at all. I double click on it and it gives me the hourglass for a half second and then does nothing (regardless of where I open it from - right click, display prop., or start menu).

Other than my videocard and newest drivers (updated any and all including patches) nothing has changed. Oh and Oblivion hard crashes causing me to hard boot after about an hour, but I'm hunting down the cause of that. Lastly, when I was able to open it (right when I downloaded it) I changed all my quality settings to app prefernce (for aa af etc).

Athlon 64 @ 2.6ghz
1GB basic ram
asrock 939dualsata
x1800xt 256
winxp sp2

Any suggestions would be much appreciated. :D 

More about : choppy framerates catalyst control center wont open

September 1, 2006 12:43:16 AM

Did you COMPLETELY unistall all old ATI drivers before installing the new ones?
September 1, 2006 4:39:47 PM

agreed, wipe out old drivers. Make sure you have .net 2.0 installed (dont bother w/ 1.1) and also shut down all apps in the background as something there may be the culprit that is also hard crashing oblivion. That game is VERY sensitive to other apps. I can't run rainmeter w/ that game at all or the display is hosed, and the app for my saitek command pad freaked it out on first install too.
Related resources
September 1, 2006 6:44:24 PM

All of the above except...a little birdie told me to use .NET 3.0 Pre-Release. Been using it for a few weeks with no problems at all.
September 1, 2006 6:54:53 PM

good idea, have not used that yet man. Will do so. You have no issues?
September 1, 2006 7:13:01 PM

None so far. Hitman: Blood Money plays perfectly as does FarCry (1.3, haven't tried the 1.4 "Chuck" yet) and F.E.A.R. ATI's AVIVO encoder works perfectly too.

I'm not saying it's necessary, but it doesn't seem to hurt. The birdie said at least .NET 2.0 as 1.1 had issues but to give 3.0 a shot. So far so good.
September 1, 2006 9:41:25 PM

I heard the same thing from that little bird about 2.0 vs 1.1 but the freakin wanker of a pidgeon-a$$ did not tell me about 3.0!

'scuse me whilst I go git me da scatter gun... time fer some squab huntin... :twisted:
!